Then _microarchitecture=13
Search Criteria
Package Details: linux-xanmod 6.12.10-1
Package Actions
Git Clone URL: | https://aur.archlinux.org/linux-xanmod.git (read-only, click to copy) |
---|---|
Package Base: | linux-xanmod |
Description: | The Linux kernel and modules with Xanmod patches |
Upstream URL: | http://www.xanmod.org/ |
Licenses: | GPL2 |
Provides: | KSMBD-MODULE, NTFS3-MODULE, VIRTUALBOX-GUEST-MODULES, WIREGUARD-MODULE |
Replaces: | virtualbox-guest-modules-arch, wireguard-arch |
Submitter: | Yoshi2889 |
Maintainer: | figue (figuepluto, jfigueras) |
Last Packager: | figue |
Votes: | 132 |
Popularity: | 1.43 |
First Submitted: | 2017-02-14 09:40 (UTC) |
Last Updated: | 2025-01-17 20:12 (UTC) |
Dependencies (15)
- coreutils (coreutils-gitAUR, busybox-coreutilsAUR, coreutils-hybrid-gitAUR, coreutils-selinuxAUR, coreutils-hybridAUR, coreutils-uutilsAUR)
- initramfs (booster-gitAUR, booster-wip-gitAUR, dracut-gitAUR, mkinitcpio-gitAUR, booster, dracut, mkinitcpio)
- kmod (busybox-coreutilsAUR, kmod-gitAUR)
- bc (bc-ghAUR) (make)
- cpio (cpio-gitAUR) (make)
- gettext (gettext-gitAUR) (make)
- libelf (elfutils-gitAUR) (make)
- pahole (pahole-gitAUR) (make)
- perl (perl-gitAUR) (make)
- python (python37AUR, python311AUR, python310AUR) (make)
- tar (tar-gitAUR, busybox-coreutilsAUR) (make)
- xz (xz-gitAUR) (make)
- linux-firmware (linux-libre-firmwareAUR, linux-firmware-xzAUR, linux-firmware-gitAUR, linux-firmware-uncompressedAUR) (optional) – firmware images needed for some devices
- scx-scheds (scx-scheds-gitAUR) (optional) – to use sched-ext schedulers
- wireless-regdb (optional) – to set the correct wireless channels of your country
Required by (6)
- ksmbd-tools (requires KSMBD-MODULE)
- mullvad-wg.sh-git (requires WIREGUARD-MODULE) (optional)
- piavpn-bin (requires WIREGUARD-MODULE) (optional)
- piavpn-manual-git (requires WIREGUARD-MODULE)
- virtualbox-guest-utils-nox-svn (requires VIRTUALBOX-GUEST-MODULES)
- virtualbox-guest-utils-svn (requires VIRTUALBOX-GUEST-MODULES)
Sources (4)
Latest Comments
« First ‹ Previous 1 .. 26 27 28 29 30 31 32 33 34 35 36 .. 52 Next › Last »
figue commented on 2020-10-15 21:54 (UTC)
parovoz commented on 2020-10-15 17:18 (UTC) (edited on 2020-10-15 17:22 (UTC) by parovoz)
@figue
[android7890@komputator ~]$ gcc -march=native -Q --help=target | grep march | head -1
-march= znver1
and it's 1300x, not 3100x
figue commented on 2020-10-13 17:55 (UTC)
@rayzorben seems ok to me... Can you apply and try in your system?
diff --git a/PKGBUILD b/PKGBUILD
index 91de11e..7351291 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -169,8 +169,8 @@ prepare() {
# If it's a full config, will be replaced
# If not, you should use scripts/config commands, one by line
if [ -f "${startdir}/myconfig" ]; then
- if [ $(wc -l < "${startdir}/myconfig") -gt 1000 ]; then
- # myconfig is a full config file. Replace it
+ if ! grep -q 'scripts/config' "${startdir}/myconfig"; then
+ # myconfig is a full config file. Replacing default .config
msg2 "Using user CUSTOM config..."
cp -f "${startdir}"/myconfig .config
else
rayzorben commented on 2020-10-13 04:04 (UTC)
@ThatOneCalculato import them manually:
gpg --receive-keys [KEY]
That1Calculator commented on 2020-10-13 03:42 (UTC)
I'm having trouble installing, it can't import the keys. I tried changing my keyserver to hkp://keyserver.ubuntu.com, but it didn't help.
rayzorben commented on 2020-10-12 21:15 (UTC) (edited on 2020-10-12 21:16 (UTC) by rayzorben)
@figue - I get that is the logic, I am asking for it to change if possible
if (grep 'scripts/config' myconfig) then
this is a partial file
else
this is a full file
fi
A full file would never contain the text 'scripts/config' but a partial file would. This would allow more than 1000 partial lines.
I prefer to keep a partial so that way if the kernel adds a new option I don't have to go back and update mine, it will just automatically get the default value.
Also I am very comfortable removing hardware that I don't need that is compiled in as a module, but I want to retain defaults for everything else. There are 3500 modules I can remove via scripts/config --disable CONFIG_MODULE_I_DONT_NEED
Also thanks for maintaining this package, linux-xanmod is the only kernel that makes me happy to use my system.
figue commented on 2020-10-12 20:30 (UTC)
@nTia89 see official linux package: https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/linux
@ANDRoid7890 "gcc -march=native -Q --help=target | grep march | head -1"
According to wikipedia your CPU is a zen2 microarchitecture. Use _microarchitecture=14 or native _microarchitecture=42
@rayzorben the logic of myconfig is exactly as you describe. If file has more that 1000 lines it's considered a full kernel config file and it's replaced as the ".config". If not, the file is considered a "partial file" wchich contains only what should be enabled/disabled/module with builtin scripts/config command.
rayzorben commented on 2020-10-12 18:27 (UTC)
Can the logic for myconfig
be changed to be a 'full config' if there are more than 1000 lines AND it does not contain scripts/config
I want to be able to have more than 1000 lines, and it seems that the determining factor is if myconfig contains text string('scripts/config') then partial else full
# This is intended for the people that want to build this package with their own config
# Put the file "myconfig" at the package folder to use this feature
# If it's a full config, will be replaced
# If not, you should use scripts/config commands, one by line
if [ -f "${startdir}/myconfig" ]; then
if [ $(wc -l < "${startdir}/myconfig") -gt 1000 ]; then
# myconfig is a full config file. Replace it
msg2 "Using user CUSTOM config..."
cp -f "${startdir}"/myconfig .config
else
# myconfig is a partial file. Applying every line
msg2 "Applying configs..."
cat "${startdir}"/myconfig | while read -r _linec ; do
if echo "$_linec" | grep "scripts/config" ; then
set -- $_linec
"$@"
else
warning "Line format incorrect, ignoring..."
fi
done
fi
echo
fi
parovoz commented on 2020-10-11 12:58 (UTC) (edited on 2020-10-11 12:59 (UTC) by parovoz)
Please change the choose-gcc-optimisation.sh
On my computer in the output of gcc -c -Q -march=native --help=target
I can see this:
Known valid arguments for -march= option:
i386 i486 i586 pentium lakemont pentium-mmx winchip-c6 winchip2 c3 samuel-2
c3-2 nehemiah c7 esther i686 pentiumpro pentium2 pentium3 pentium3m pentium-m
pentium4 pentium4m prescott nocona core2 nehalem corei7 westmere sandybridge
corei7-avx ivybridge core-avx-i haswell core-avx2 broadwell skylake skylake-avx512
cannonlake icelake-client icelake-server cascadelake tigerlake cooperlake bonnell
atom silvermont slm goldmont goldmont-plus tremont knl knm intel geode k6 k6-2 k6-3
athlon athlon-tbird athlon-4 athlon-xp athlon-mp x86-64 eden-x2 nano nano-1000
nano-2000 nano-3000 nano-x2 eden-x4 nano-x4 k8 k8-sse3 opteron opteron-sse3 athlon64
athlon64-sse3 athlon-fx amdfam10 barcelona bdver1 bdver2 bdver3 bdver4 znver1 znver2
btver1 btver2 generic native
so microarchitecture of my ryzen 3 1300x is named as znver1
Pinned Comments
anlorsp commented on 2024-07-13 17:07 (UTC) (edited on 2024-07-15 04:53 (UTC) by anlorsp)
Adding
to myconfig does solve the "Failed to insert module 'nvidia': Key was rejected by service" problem.
Anyone who configured secure boot using sbctl and want to load dkms modules can try this solution.
figue commented on 2018-12-14 00:50 (UTC) (edited on 2023-02-27 20:00 (UTC) by figue)
This package have several variables to enable/disable features.
Personally I'm running now xanmod kernel compiled with this:
Also, you can now create the file myconfig in your local repo to build this package with a custom config or use ${XDG_CONFIG_HOME}/linux-xanmod/myconfig. This file can be a full kernel config or be a script with several entries to add/remove options (you have several examples in PKGBUILD by using scripts/config):
Code involved: